# eric4.MultiProject.AddProjectDialog

Module implementing the add project dialog.

### Global Attributes

None

### Classes

AddProjectDialog | Class implementing the add project dialog.

### Functions

None

## AddProjectDialog

Class implementing the add project dialog.

### Derived from

QDialog, Ui_AddProjectDialog

### Class Attributes

None

### Class Methods

None

### Methods

AddProjectDialog | Constructor
__updateUi | Private method to update the dialog.
getData | Public slot to retrieve the dialogs data.
on_fileButton_clicked | Private slot to display a file selection dialog.
on_filenameEdit_textChanged | Private slot called when the project filename has changed.
on_nameEdit_textChanged | Private slot called when the project name has changed.

### Static Methods

None

#### AddProjectDialog (Constructor)

AddProjectDialog(parent = None, startdir = None, project = None)

Constructor

parent
  parent widget of this dialog (QWidget)
startdir
  start directory for the selection dialog (string or QString)
project
  dictionary containing project data

#### AddProjectDialog.__updateUi

__updateUi()

Private method to update the dialog.

#### AddProjectDialog.getData

getData()

Public slot to retrieve the dialogs data.

Returns:
  tuple of four values (string, string, boolean, string) giving the project name, the name of the project file, a flag telling, whether the project shall be the master project and a short description for the project

#### AddProjectDialog.on_fileButton_clicked

on_fileButton_clicked()

Private slot to display a file selection dialog.

#### AddProjectDialog.on_filenameEdit_textChanged

on_filenameEdit_textChanged(p0)

Private slot called when the project filename has changed.

#### AddProjectDialog.on_nameEdit_textChanged

on_nameEdit_textChanged(p0)

Private slot called when the project name has changed.

Up